1. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    I'm not asking because I want to change my version (4.2E), but I'm asking in your opinion, what is the best version in terms of compatibility, hackability etc..

    I'd argue that 3.1 is the best version since it is the latest version that every exploit apart from Letterbomb works on. Not to mention loads of older software that was later patched works on that version. The only issues I see are potentially newer software not working because it is built for later IOSes and the lack of SDHC support, which if you have many mods for multiple games might become an issue. If you must have SDHC support then 4.0 is definitely the best version.

    Thoughts?
     
  2. DinohScene

    DinohScene Feed Dino to the Sharks
    Moderator

    Joined:
    Oct 11, 2011
    Messages:
    19,879
    Country:
    Antarctica
    4.2, 4.3 doesn't support the Sundriver ODE.
    Besides, most things are IOS dependant, just install newer IOSes and update the homebrew ones and you're good to go.
     
    jeannotte likes this.
  3. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    Actually, after a little research, 3.2 is the last version where every exploit apart from LB works. 3.2 apparently doesn't patch any software. Could've sworn 3.2 patched the first Twilight Hack but oh well
     
  4. godreborn

    godreborn GBAtemp Guru
    Member

    Joined:
    Oct 10, 2009
    Messages:
    8,311
    Country:
    United States
    imo, it's 4.1 due to sdhc. I have a backup of an older NAND dump from 3.2 I believe. I think 4.1, then 3.2 after that.
     
    jeannotte likes this.
  5. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    I always question why they didn't make more updates. Did they just give up after 4.3 because they couldn't be arsed to patch Letterbomb?
     
    Aeredren likes this.
  6. jeannotte

    jeannotte GBAtemp Maniac
    Member

    Joined:
    Jun 15, 2016
    Messages:
    1,099
    Country:
    France
    I always question why they didn't make more updates. Did they just give up after 4.3 because they couldn't be arsed to patch Letterbomb?

    Hello,

    they released the new Wii U console after, so they were not interested anymore in the wii (personal opinion)
     
    Last edited: Dec 5, 2019
  7. banjo2

    banjo2 little man
    Member

    Joined:
    May 31, 2016
    Messages:
    908
    Country:
    United States
    I prefer 4.3, because of RC24 functionality.
     
    FrenezyFr and alexander1970 like this.
  8. alexander1970

    alexander1970 Austrian Guy - allowed make grammatical Errors
    Member

    Joined:
    Nov 8, 2018
    Messages:
    5,903
    Country:
    Austria
    Yes,exactly this is my Reason to stay on 4.3.:)
     
    FrenezyFr and banjo2 like this.
  9. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    Fair, but the Wii U is over 2 years from 4.3. Not to mention they bothered coming back to deactivate a range of channels.
     
    jeannotte likes this.
  10. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    I don't use RC24 so that isn't a problem for me.
     
  11. Ryccardo

    Ryccardo and his tropane alkaloids
    Member

    Joined:
    Feb 13, 2015
    Messages:
    6,861
    Country:
    Italy
    They didn't "come back" - exactly because nothing was changed console-side :)

    I was a fan of 3.2 due to Startpatch (Priiloader patches without the menu or inserting a separate executable, and therefore a cleaner implementation), so basically everything 3.x goes (due to lacking that "SD card loading" bs)

    Sometimes I downgrade to 1.0 or 2.x for fun :D
     
  12. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    I would downgrade to the earliest versions for a laugh and to satisfy curiosity but unfortunately my Wii was officially updated to 4.0 and beyond in it's lifetime so downgrading further than 4.0 would brick it. Not to mention all my hacks probably wouldn't work anymore.
     
  13. Ryccardo

    Ryccardo and his tropane alkaloids
    Member

    Joined:
    Feb 13, 2015
    Messages:
    6,861
    Country:
    Italy
    Fake news (as long as you remember to install a non-stub appropriate IOS for the Wii Menu you want, and one of a version that's not too low for your hardware* but that's unrelated to whatever is the current one) :)

    * so-called LU64 systems which don't support old IOSes - you can substitute them with Modmii's "anti-brick" number-changed-IOS60s

    Define hacks - Priiloader would of course be removed (and 1.0 can't run regular digital titles), but IOSes (which are what actually matters for compatibility) would remain and therefore any app can still be used (except on 1.0, as said)
    And of course you can update back afterwards!
     
  14. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    My system has BootMii as Boot2 so I know it's from at least mid-2008, possibly much older. I did play around with the SM a few years ago and I downgraded from 4.3 to 4.1 before upgrading to 4.2 again which is where it's at now. Even at that younger age I knew that messing with IOSes too much would fuck up my Wii so I didn't go further than that. Now that I know it's possible I'm curious.

    What IOSes would I need to install to get 1.0 to work? You say that it won't run digital apps, does that mean the HBC and it's apps won't work anymore?

    On another note, somewhere out there is a launch day Wii that was never connected to the internet and was never updated. I wonder if that Wii will ever be found? A legitimate 1.0 Wii. I'm sure it exists somewhere.
     
    Last edited: Dec 6, 2019
  15. Ryccardo

    Ryccardo and his tropane alkaloids
    Member

    Joined:
    Feb 13, 2015
    Messages:
    6,861
    Country:
    Italy
    Great, so it's not LU64 (and can very easily solve any Wii Menu and/or IOS related problem by restoring a backup)!

    Luckily, 1.0 uses IOS9 - you most likely already have a good one installed (since, unlike every other Wii Menu IOS, it's also used by commercial games like twilight princess)

    They won't appear at all - it just wasn't programmed to support non-system digital titles (2.0 and the Wii Shop were a 0-day update)
     
  16. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    Okay, so I'd just need to install a 1.0 WAD?

    How would I get 4.x back? Since BootMii is part of the boot process, I'm guessing that will still appear? If so, I just restore a backup right?
     
  17. Ryccardo

    Ryccardo and his tropane alkaloids
    Member

    Joined:
    Feb 13, 2015
    Messages:
    6,861
    Country:
    Italy
    Yes to both - you can of course also update the official way (then open the HBC, and reinstall Priiloader if you used it)
     
  18. Cryoraptor

    OP Cryoraptor Member
    Newcomer

    Joined:
    Oct 25, 2019
    Messages:
    27
    Country:
    United Kingdom
    I don't use Priiloader as I have BootMii/Boot2 like I said.

    Alright, I'll try it tonight. Assuming it goes south, BootMii will boot before the brick so I can restore a backup regardless yes?

    EDIT: Also, I'll check to make sure I have a good IOS9 so I don't mess up my Wii.
     
    Last edited: Dec 6, 2019
  19. Jayro

    Jayro MediCat USB and Mini Windows 10 Developer
    Member

    Joined:
    Jul 23, 2012
    Messages:
    7,364
    Country:
    United States
    4.1 for me, since 4.2 and 4.3 were just pathetic attempts to curb piracy, and contribute nothing.
     
  20. Ryccardo

    Ryccardo and his tropane alkaloids
    Member

    Joined:
    Feb 13, 2015
    Messages:
    6,861
    Country:
    Italy
    Yep, boot2 is never rewritten except the first time you update the official way to 4.2+ (or, of course, if you're installing or removing bootmii :P )
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - opinion, version, System